package ervu_dashboard.component.chart;

import component.chart.dto.ChartConfigDto;
import component.chart.service.ChartV2Service;
import ervu_dashboard.model.chart.DoughnutMockDatasets;
import model.Filter;

/**
 * @author Vitaly Chekushkin
 */
public class DoughnutMockChartV2Service implements ChartV2Service {

  public DoughnutMockDatasets datasetsConfiguration;

  @Override
  public ChartConfigDto loadData(Integer offset, Integer limit, Filter[] filters) {
    ChartConfigDto chartConfigDto = new ChartConfigDto();
    chartConfigDto.setData(datasetsConfiguration);
    chartConfigDto.setType("doughnut");
    return chartConfigDto;
  }
}
